Use this API to manage the custom attributes set on users, groups, and projects.
These endpoints require administrator access to the instance.
List all custom attributes for a group
GET /api/v4/groups/{id}/custom_attributes
Lists all custom attributes for a specified group.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | The ID or URL- |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Retrieve a custom attribute for a group
GET /api/v4/groups/{id}/custom_attributes/{key}
Retrieves a specified custom attribute for a group.
Parameters
| Name | Type | Description |
|---|---|---|
keyPath, | String | The key of the custom attribute |
idPath, | String or integer | The ID or URL- Example: 11 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Creates or updates a custom attribute for a group
PUT /api/v4/groups/{id}/custom_attributes/{key}
Creates or updates a custom attribute for a specified group. If the attribute already exists, it is updated, otherwise a new attribute is created.
Parameters
| Name | Type | Description |
|---|---|---|
keyPath, | String | The key of the custom attribute |
idPath, | String or integer | The ID or URL- Example: 11 |
Request body (application/json)
| Property | Type | Description |
|---|---|---|
valueRequired | String | The value of the custom attribute |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Delete a custom attribute for a group
DELETE /api/v4/groups/{id}/custom_attributes/{key}
Deletes a specified custom attribute for a group.
Parameters
| Name | Type | Description |
|---|---|---|
keyPath, | String | The key of the custom attribute |
idPath, | String or integer | The ID or URL- Example: 11 |
Responses
| Code | Description | Schema |
|---|---|---|
204 | No Content | — |
400 | Bad Request | — |
404 | Not Found | — |
List all custom attributes for a project
GET /api/v4/projects/{id}/custom_attributes
Lists all custom attributes for a specified project.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | The ID or URL- |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Retrieve a custom attribute for a project
GET /api/v4/projects/{id}/custom_attributes/{key}
Retrieves a specified custom attribute for a project.
Parameters
| Name | Type | Description |
|---|---|---|
keyPath, | String | The key of the custom attribute |
idPath, | String or integer | The ID or URL- Example: 11 |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Creates or updates a custom attribute for a project
PUT /api/v4/projects/{id}/custom_attributes/{key}
Creates or updates a custom attribute for a specified project. If the attribute already exists, it is updated, otherwise a new attribute is created.
Parameters
| Name | Type | Description |
|---|---|---|
keyPath, | String | The key of the custom attribute |
idPath, | String or integer | The ID or URL- Example: 11 |
Request body (application/json)
| Property | Type | Description |
|---|---|---|
valueRequired | String | The value of the custom attribute |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Delete a custom attribute for a project
DELETE /api/v4/projects/{id}/custom_attributes/{key}
Deletes a specified custom attribute for a project.
Parameters
| Name | Type | Description |
|---|---|---|
keyPath, | String | The key of the custom attribute |
idPath, | String or integer | The ID or URL- Example: 11 |
Responses
| Code | Description | Schema |
|---|---|---|
204 | No Content | — |
400 | Bad Request | — |
404 | Not Found | — |
List all custom attributes for a user
GET /api/v4/users/{id}/custom_attributes
Lists all custom attributes for a specified user.
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | The ID or URL- |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Retrieve a custom attribute for a user
GET /api/v4/users/{id}/custom_attributes/{key}
Retrieves a specified custom attribute for a user.
Parameters
| Name | Type | Description |
|---|---|---|
keyPath, | String | The key of the custom attribute |
idPath, | String or integer | The ID or URL- |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Creates or updates a custom attribute for a user
PUT /api/v4/users/{id}/custom_attributes/{key}
Creates or updates a custom attribute for a specified user. If the attribute already exists, it is updated, otherwise a new attribute is created.
Parameters
| Name | Type | Description |
|---|---|---|
keyPath, | String | The key of the custom attribute |
idPath, | String or integer | The ID or URL- |
Request body (application/json)
| Property | Type | Description |
|---|---|---|
valueRequired | String | The value of the custom attribute |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
404 | Not Found | — |
Delete a custom attribute for a user
DELETE /api/v4/users/{id}/custom_attributes/{key}
Deletes a specified custom attribute for a user.
Parameters
| Name | Type | Description |
|---|---|---|
keyPath, | String | The key of the custom attribute |
idPath, | String or integer | The ID or URL- |
Responses
| Code | Description | Schema |
|---|---|---|
204 | No Content | — |
400 | Bad Request | — |
404 | Not Found | — |
Schemas
Objects returned by the operations above and objects nested in their request bodies.
APIEntitiesCustomAttribute
| Property | Type | Description |
|---|---|---|
key | String | Example:foo |
value | String | Example:bar |